# Gimp.ConfigInterface.type_register

    function type_register(parent_type: GObject.Type, type_name: String, pspecs: Array(GObject.ParamSpec)): GObject.Type {
        // Gjs wrapper for gimp_config_type_register()
    }

This function is a fancy wrapper around g_type_register_static(). It creates a new object type as subclass of parent_type, installs pspecs on it and makes the new type implement the Gimp.Config interface.

Since 3.0

parent_type

  type from which this type will be derived

type_name

  string used as the name of the new type

pspecs

  array of GObject.ParamSpec to install as properties on the new type

Returns

  the newly registered GLib.Type